/*
	File:		Template.r

	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.

*/

#ifndef SystemSevenOrLater
#define SystemSevenOrLater 1
#endif

#include "Types.r"


resource 'open' (300, "Native document types for NavGetFile") {
	'CPAP',
	{	/* array typeArray: 2 elements */
		/* [1] */
		'TEXT',
		/* [2] */
		'PICT'
	}
};

resource 'open' (301, "Native document type for NavChooseFile") {
	'CPAP',
	{	/* array typeArray: 1 elements */
		/* [1] */
		'CPDC'
	}
};

resource 'kind' (1000) {
	'CPAP',
	0,
	{	/* array kindArray: 3 elements */
		/* [1] */
		'apnm', "Sampler",
		/* [2] */
		'TEXT', "Sampler Text Document",
		/* [3] */
		'PICT', "Sampler Picture Document"
	}
};

resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Sampler", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFF87B,
	enabled,
	"File",
	{	/* array: 12 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Close", noIcon, "W", noMark, plain,
		/* [5] */
		"Save", noIcon, "S", noMark, plain,
		/* [6] */
		"Save A Copy", noIcon, noKey, noMark, plain,
		/* [7] */
		"Revert to Saved", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Select Dictionary File", noIcon, noKey, noMark, plain,
		/* [10] */
		"-", noIcon, noKey, noMark, plain,
		/* [11] */
		"Page Setup", noIcon, noKey, noMark, plain,
		/* [12] */
		"Print", noIcon, "P", noMark, plain,
		/* [13] */
		"-", noIcon, noKey, noMark, plain,
		/* [14] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 7 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain,
		/* [7] */
		"Select All", noIcon, "A", noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFED,
	enabled,
	"Utilities",
	{	/* array: 6 elements */
		/* [1] */
		"Choose a folder", noIcon, noKey, noMark, plain,
		/* [2] */
		"Choose a volume", noIcon, noKey, noMark, plain,
		/* [3] */
		"Choose an object", noIcon, noKey, noMark, plain,
		/* [4] */
		"-", noIcon, noKey, noMark, plain,
		/* [5] */
		"Create a folder", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Custom Open", noIcon, noKey, noMark, plain,
		/* [9] */
		"Add Files", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 3 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

resource 'ALRT' (128, "Save changes?") {
	{94, 80, 211, 434},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (129, "Revert to saved?") {
	{94, 80, 211, 434},
	129,
	{	/* array: 4 elements */
		/* [1] */
		Cancel, visible, silent,
		/* [2] */
		Cancel, visible, silent,
		/* [3] */
		Cancel, visible, silent,
		/* [4] */
		Cancel, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (130, "Generic alert") {
	{94, 80, 211, 434},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'DITL' (128, "Save changes?") {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{87, 284, 107, 344},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{87, 211, 107, 271},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{87, 70, 107, 155},
		Button {
			enabled,
			"Dont Save"
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		},
		/* [5] */
		{10, 72, 76, 344},
		StaticText {
			disabled,
			"Save changes to the document ^0 before"
			" ^1?"
		}
	}
};

resource 'DITL' (129, "Revert to saved?") {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{87, 284, 107, 344},
		Button {
			enabled,
			"Revert"
		},
		/* [2] */
		{87, 211, 107, 271},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		},
		/* [4] */
		{10, 72, 76, 344},
		StaticText {
			disabled,
			"Revert to the last saved version of ^0"
			"?"
		}
	}
};

resource 'DITL' (130, "Generic Alert items") {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{87, 284, 107, 344},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 72, 76, 344},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (131, "About window items", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{124, 334, 144, 400},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{16, 55, 114, 396},
		StaticText {
			disabled,
			"Sampler\n\nA Navigation Services sample cl"
			"ient application.\nBy Keith Mortensen\n\nCo"
			"pyright  1996-98, Apple Computer, Inc."
		},
		/* [3] */
		{16, 15, 48, 47},
		UserItem {
			disabled
		}
	}
};

resource 'STR#' (128, "App strings") {
	{	/* array StringArray: 1 elements */
		/* [1] */
		"Sampler",
		/* [2] */
		"An error occurred while translating a document on a locked disk.",
		/* [3] */
		"An error occurred while translating a document.",
		/* [4] */
		"An error ocurred while opening the file.",
		/* [5] */
		"An error ocurred while reading the file.",
		/* [6] */
		"The file cannot be changed because it is in use.",
		/* [7] */
		"The file cannot be opened because it is in use by another application.",
		/* [8] */
		"Please find the dictionary file.",
		/* [9] */
		"Please choose a folder.",
		/* [10] */
		"Please choose a volume.",
		/* [11] */
		"Please create a folder.",
		/* [12] */
		"Please choose a file object.",
		/* [13] */
		"Save a copy of this document:",
		/* [14] */
		"Save this document as:",
		/* [15] */
		"closing",
		/* [16] */
		"quitting",
		/* [17] */
		"Add Selected Files",
		/* [18] */
		"Sampler is getting low on memory, please close some documents or increase its memory requirements."
	}
};

resource 'STR#' (129, "Undo strings") {
	{	/* array StringArray: 3 elements */
		/* [1] */
		"Can't Undo",
		/* [2] */
		"Undo",
		/* [3] */
		"Redo"
	}
};

resource 'DLOG' (131, "About dialog") {
	{71, 49, 227, 461},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	131,
	"",
	centerMainScreen
};

resource 'BNDL' (128) {
	'CPAP',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 3 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129,
			/* [3] */
			2, 130
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 3 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129,
			/* [3] */
			2, 130
		}
	}
};

data 'CPAP' (0, "Owner resource") {
	$"00"                                                 /* . */
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'TEXT',
	1,
	""
};

resource 'FREF' (130) {
	'PICT',
	2,
	""
};

resource 'ics4' (128) {
	$"0000 000F F000 0000 0000 00FC CF00 0000"
	$"0000 0FCD DCF0 0000 0000 FCDD DDCF 0000"
	$"000F CDDD DDDC F000 00FC DDDD DDDD CF00"
	$"0FCD DDDD DDDD DCF0 FCDD DDDD FFFF FDCF"
	$"FEDD DDDF 1000 FFEF 0FED DFFF FFF0 0FFF"
	$"00FE DDDF 1000 10FF 000F EDDD F010 00FF"
	$"0000 FEDD DFFF FFFF 0000 0FED DEF0 00FF"
	$"0000 00FE EF00 0000 0000 000F F0"
};

resource 'ics4' (129) {
	$"0FFF FFFF FFF0 0000 0F00 0000 00FF 0000"
	$"0F0C CCCC CCF0 F000 0F0C CCCC CCFF FF00"
	$"0F0C FFCC CCCC DF00 0F0C CCCC CCCC DF00"
	$"0F0C FFFF FFFC DF00 0F0C CCCC CCCC DF00"
	$"0F0C FFFF FFFC DF00 0F0C CCCC CCCC DF00"
	$"0F0C FFFF FFFC DF00 0F0C CCCC CCCC DF00"
	$"0F0C CCCC FFFC DF00 0F0C CCCC CCCC DF00"
	$"0FDD DDDD DDDD DF00 0FFF FFFF FFFF FF"
};

resource 'ics4' (130) {
	$"0FFF FFFF FFF0 0000 0F00 0000 00FF 0000"
	$"0F0C CCCC CCF0 F000 0F0C CCCC CCFF FF00"
	$"0F0C CCCC CCCC DF00 0F0B BBBB BBBC DF00"
	$"0F0B 7777 77AC DF00 0F0B 77FF F7AC DF00"
	$"0F0B 7FFF F7AC DF00 0F0B 7FFF F7AC DF00"
	$"0F0B 9999 99AC DF00 0F0B AAAA AAAC DF00"
	$"0F0C CCCC CCCC DF00 0F0C CCCC CCCC DF00"
	$"0FDD DDDD DDDD DF00 0FFF FFFF FFFF FF"
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0100 0280 0440 0820 1010 2008 4004 80F2"
		$"4109 27F7 1103 0883 047F 0223 0140 0080",
		/* [2] */
		$"0100 0380 07C0 0FE0 1FF0 3FF8 7FFC FFFE"
		$"7FFF 3FFF 1FFF 0FFF 07FF 03E3 01C0 0080"
	}
};

resource 'ics#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FE0 4030 4028 403C 4C04 4004 4FE4 4004"
		$"4FE4 4004 4FE4 4004 40E4 4004 4004 7FFC",
		/* [2] */
		$"7FF0 7FF8 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC"
		$"7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC"
	}
};

resource 'ics#' (130) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FE0 4030 4028 403C 4004 4004 4FE4 4824"
		$"4B24 4AA4 4824 4FE4 4004 4004 4004 7FFC",
		/* [2] */
		$"7FF0 7FF8 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC"
		$"7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC"
	}
};

resource 'ICN#' (128, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0001 0000 0002 8000 0004 4000 0008 2000"
		$"0010 1000 0020 0800 0040 0400 0080 0200"
		$"0100 0100 0200 0080 0400 0040 0800 0020"
		$"1000 0010 2000 0008 4000 3F04 8000 4082"
		$"4000 8041 2001 3022 1001 C814 081E 7F8F"
		$"0402 3007 0201 0007 0100 8007 0080 6007"
		$"0040 1FE7 0020 021F 0010 040F 0008 0800"
		$"0004 1000 0002 2000 0001 4000 0000 80",
		/* [2] */
		$"0001 0000 0003 8000 0007 C000 000F E000"
		$"001F F000 003F F800 007F FC00 00FF FE00"
		$"01FF FF00 03FF FF80 07FF FFC0 0FFF FFE0"
		$"1FFF FFF0 3FFF FFF8 7FFF FFFC FFFF FFFE"
		$"7FFF FFFF 3FFF FFFE 1FFF FFFC 0FFF FFFF"
		$"07FF FFFF 03FF FFFF 01FF FFFF 00FF FFFF"
		$"007F FFFF 003F FE1F 001F FC0F 000F F800"
		$"0007 F000 0003 E000 0001 C000 0000 80"
	}
};

resource 'ICN#' (129, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF FC00 1000 0600 1000 0500 1000 0480"
		$"1000 0440 1000 0420 1000 07F0 10F8 0010"
		$"1000 0010 10F8 0010 1000 0010 1000 0010"
		$"1000 0010 10FF FE10 1000 0010 10FF FE10"
		$"1000 0010 10FF FE10 1000 0010 1000 0010"
		$"10FF FE10 1000 0010 10FF FE10 1000 0010"
		$"1000 0010 1000 0010 1000 7E10 1000 0010"
		$"1000 0010 1000 0010 1000 0010 1FFF FFF0",
		/* [2] */
		$"1FFF FC00 1FFF FE00 1FFF FF00 1FFF FF80"
		$"1FFF FFC0 1FFF FFE0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
	}
};

resource 'ICN#' (130, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF FC00 1000 0600 1000 0500 1000 0480"
		$"1000 0440 1000 0420 1000 07F0 1000 0010"
		$"1000 0010 1000 0010 1000 0010 11FF FF10"
		$"11AA AB10 117F FD10 11C0 0710 1144 0510"
		$"11CA 0710 1155 0510 11D5 7710 1151 5510"
		$"11D1 5710 117F FD10 11C0 0710 117F FD10"
		$"11D5 5710 11FF FF10 1000 0010 1000 0010"
		$"1000 0010 1000 0010 1000 0010 1FFF FFF0",
		/* [2] */
		$"1FFF FC00 1FFF FE00 1FFF FF00 1FFF FF80"
		$"1FFF FFC0 1FFF FFE0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
	}
};

resource 'icl8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FF2B"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF 2B2B"
	$"2BFF 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FF2B 2BF9"
	$"2B2B FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 2B2B F9F9"
	$"F92B 2BFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF2B 2BF9 F9F9"
	$"F9F9 2B2B FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 2B2B F9F9 F9F9"
	$"F9F9 F92B 2BFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF2B 2BF9 F9F9 F9F9"
	$"F9F9 F9F9 2B2B FF00 0000 0000 0000 0000"
	$"0000 0000 0000 00FF 2B2B F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F92B 2BFF 0000 0000 0000 0000"
	$"0000 0000 0000 FF2B 2BF9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 2B2B FF00 0000 0000 0000"
	$"0000 0000 00FF 2B2B F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F92B 2BFF 0000 0000 0000"
	$"0000 0000 FF2B 2BF9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 2B2B FF00 0000 0000"
	$"0000 00FF 2B2B F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F92B 2BFF 0000 0000"
	$"0000 FF2B 2BF9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 2B2B FF00 0000"
	$"00FF 2B2B F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 FFFF FFFF FFFF F9F9 F92B 2BFF 0000"
	$"FF2B 2BF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9FF 0008 0008 0008 FFF9 F9F9 2B2B FF00"
	$"00FF FCFC F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"FF00 0800 0800 0800 08FF F9F9 F92B 2BFF"
	$"0000 FFFC FCF9 F9F9 F9F9 F9F9 F9F9 F9FF"
	$"0008 FFFF 0008 0008 0008 FFF9 FCFC FF00"
	$"0000 00FF FCFC F9F9 F9F9 F9F9 F9F9 F9FF"
	$"FFFF 0800 FF00 0800 0800 08FF FCFF 0000"
	$"0000 0000 FFFC FCF9 F9F9 F9FF FFFF FF08"
	$"00FF FFFF FFFF FFFF FF08 0008 FFFF FFFF"
	$"0000 0000 00FF FCFC F9F9 F9F9 F9F9 FF00"
	$"0800 FFFF 0800 0800 0800 0800 08FF FFFF"
	$"0000 0000 0000 FFFC FCF9 F9F9 F9F9 F9FF"
	$"0008 0008 0008 0008 0008 0008 00FF FFFF"
	$"0000 0000 0000 00FF FCFC F9F9 F9F9 F9F9"
	$"FF00 0800 0800 0800 0800 0800 08FF FFFF"
	$"0000 0000 0000 0000 FFFC FCF9 F9F9 F9F9"
	$"F9FF FF08 0008 0008 0008 0008 00FF FFFF"
	$"0000 0000 0000 0000 00FF FCFC F9F9 F9F9"
	$"F9F9 F9FF FFFF FFFF FFFF FF00 08FF FFFF"
	$"0000 0000 0000 0000 0000 FFFC FCF9 F9F9"
	$"F9F9 F9F9 FCFC FF00 0000 00FF FFFF FFFF"
	$"0000 0000 0000 0000 0000 00FF FCFC F9F9"
	$"F9F9 F9FC FCFF 0000 0000 0000 FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 FFFC FCF9"
	$"F9F9 FCFC FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FCFC"
	$"F9FC FCFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFFC"
	$"FCFC FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FCFF 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FF"
};

resource 'icl8' (129) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FF00 0000 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 00FF 0000 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 FF00 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 00FF 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 0000 FF00 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF FFFF FFFF FFFF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FF2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FF2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2BFF FFFF FFFF FF2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9FF 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (130) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FF00 0000 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 00FF 0000 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 FF00 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 00FF 0000 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF 0000 0000 FF00 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF FFFF FFFF FFFF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF FF33 3333 3333 3333"
	$"3333 3333 3333 FFFF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0C0 C0FF C0C0"
	$"C0C0 C0C0 C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0C0 FF00 FFC0"
	$"C0C0 C0C0 C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0FF 00FF 00FF"
	$"C0C0 C0C0 C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0FF 00FF 00FF"
	$"C0FF FFFF C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0FF 0000 00FF"
	$"C0FF 00FF C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF C0FF 0000 00FF"
	$"C0FF 00FF C0FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF E3E3 E3E3 E3E3"
	$"E3E3 E3E3 E3FF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF 33FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 33FF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF FF33 3333 3333 3333"
	$"3333 3333 3333 FFFF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2BFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F52B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B F9FF 0000 0000"
	$"0000 00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9FF 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (128) {
	$"0000 0000 0000 000F 0000 0000 0000 0000"
	$"0000 0000 0000 00FC F000 0000 0000 0000"
	$"0000 0000 0000 0FCC CF00 0000 0000 0000"
	$"0000 0000 0000 FCCD CCF0 0000 0000 0000"
	$"0000 0000 000F CCDD DCCF 0000 0000 0000"
	$"0000 0000 00FC CDDD DDCC F000 0000 0000"
	$"0000 0000 0FCC DDDD DDDC CF00 0000 0000"
	$"0000 0000 FCCD DDDD DDDD CCF0 0000 0000"
	$"0000 000F CCDD DDDD DDDD DCCF 0000 0000"
	$"0000 00FC CDDD DDDD DDDD DDCC F000 0000"
	$"0000 0FCC DDDD DDDD DDDD DDDC CF00 0000"
	$"0000 FCCD DDDD DDDD DDDD DDDD CCF0 0000"
	$"000F CCDD DDDD DDDD DDDD DDDD DCCF 0000"
	$"00FC CDDD DDDD DDDD DDDD DDDD DDCC F000"
	$"0FCC DDDD DDDD DDDD DDFF FFFF DDDC CF00"
	$"FCCD DDDD DDDD DDDD DF10 0010 FDDD CCF0"
	$"0FEE DDDD DDDD DDDD F000 1000 1FDD DCCF"
	$"00FE EDDD DDDD DDDF 00FF 0010 00FD EEF0"
	$"000F EEDD DDDD DDDF FF00 F000 100F EF00"
	$"0000 FEED DDDF FFF0 0FFF FFFF F010 FFFF"
	$"0000 0FEE DDDD DDF0 10FF 1000 1000 1FFF"
	$"0000 00FE EDDD DDDF 0010 0010 0010 0FFF"
	$"0000 000F EEDD DDDD F000 1000 1000 1FFF"
	$"0000 0000 FEED DDDD DFF0 0010 0010 0FFF"
	$"0000 0000 0FEE DDDD DDDF FFFF FFF0 1FFF"
	$"0000 0000 00FE EDDD DDDD EEF0 000F FFFF"
	$"0000 0000 000F EEDD DDDE EF00 0000 FFFF"
	$"0000 0000 0000 FEED DDEE F000 0000 0000"
	$"0000 0000 0000 0FEE DEEF 0000 0000 0000"
	$"0000 0000 0000 00FE EEF0 0000 0000 0000"
	$"0000 0000 0000 000F EF00 0000 0000 0000"
	$"0000 0000 0000 0000 F0"
};

resource 'icl4' (129) {
	$"000F FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"000F 0000 0000 0000 0000 0FF0 0000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF0F 0000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 F000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 0F00 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 00F0 0000"
	$"000F 0CCC CCCC CCCC CCCC CFFF FFFF 0000"
	$"000F 0CCC FFFF FCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FFFF FFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FFFF FFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FFFF FFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FFFF FFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC FFFF FFFF FFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CFFF FFFC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F DDDD DDDD DDDD DDDD DDDD DDDF 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (130) {
	$"000F FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"000F 0000 0000 0000 0000 0FF0 0000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF0F 0000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 F000 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 0F00 0000"
	$"000F 0CCC CCCC CCCC CCCC CF00 00F0 0000"
	$"000F 0CCC CCCC CCCC CCCC CFFF FFFF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCF FFFF FFFF FFFF FFFF CCDF 0000"
	$"000F 0CCF FBBB BBBB BBBB BBFF CCDF 0000"
	$"000F 0CCF BFFF FFFF FFFF FFBF CCDF 0000"
	$"000F 0CCF BF77 7777 7777 7FBF CCDF 0000"
	$"000F 0CCF BF77 7F77 7777 7FBF CCDF 0000"
	$"000F 0CCF BF77 F0F7 7777 7FBF CCDF 0000"
	$"000F 0CCF BF7F 0F0F 7777 7FBF CCDF 0000"
	$"000F 0CCF BF7F 0F0F 7FFF 7FBF CCDF 0000"
	$"000F 0CCF BF7F 000F 7F0F 7FBF CCDF 0000"
	$"000F 0CCF BF7F 000F 7F0F 7FBF CCDF 0000"
	$"000F 0CCF BFFF FFFF FFFF FFBF CCDF 0000"
	$"000F 0CCF BF88 8888 8888 8FBF CCDF 0000"
	$"000F 0CCF BFFF FFFF FFFF FFBF CCDF 0000"
	$"000F 0CCF FBBB BBBB BBBB BBFF CCDF 0000"
	$"000F 0CCF FFFF FFFF FFFF FFFF CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F 0CCC CCCC CCCC CCCC CCCC CCDF 0000"
	$"000F DDDD DDDD DDDD DDDD DDDD DDDF 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (128) {
	$"0000 0000 0000 00FF FF00 0000 0000 0000"
	$"0000 0000 0000 FF2B 2BFF 0000 0000 0000"
	$"0000 0000 00FF 2BF9 F92B FF00 0000 0000"
	$"0000 0000 FF2B F9F9 F9F9 2BFF 0000 0000"
	$"0000 00FF 2BF9 F9F9 F9F9 F92B FF00 0000"
	$"0000 FF2B F9F9 F9F9 F9F9 F9F9 2BFF 0000"
	$"00FF 2BF9 F9F9 F9F9 F9F9 F9F9 F92B FF00"
	$"FF2B F9F9 F9F9 F9F9 FFFF FFFF FFF9 2BFF"
	$"FFFC F9F9 F9F9 F9FF 0800 0800 FFFF FCFF"
	$"00FF FCF9 F9FF FFFF FFFF FF08 00FF FFFF"
	$"0000 FFFC F9F9 F9FF 0800 0800 0800 FFFF"
	$"0000 00FF FCF9 F9F9 FF08 0008 0008 FFFF"
	$"0000 0000 FFFC F9F9 F9FF FFFF FFFF FFFF"
	$"0000 0000 00FF FCF9 F9FC FF00 0000 FFFF"
	$"0000 0000 0000 FFFC FCFF 0000 0000 0000"
	$"0000 0000 0000 00FF FF"
};

resource 'ics8' (129) {
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF 0000 0000"
	$"00FF F52B 2B2B 2B2B 2B2B FF00 FF00 0000"
	$"00FF F52B 2B2B 2B2B 2B2B FFFF FFFF 0000"
	$"00FF F52B FFFF 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B FFFF FFFF FFFF FF2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B FFFF FFFF FFFF FF2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B FFFF FFFF FFFF FF2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B FFFF FF2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9FF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (130) {
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF 0000 0000"
	$"00FF F52B 2B2B 2B2B 2B2B FF00 FF00 0000"
	$"00FF F52B 2B2B 2B2B 2B2B FFFF FFFF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F55E 5E5E 5E5E 5E5E 5E2B F9FF 0000"
	$"00FF F55E C0C0 C0C0 C0C0 892B F9FF 0000"
	$"00FF F55E C0C0 FFFF FFC0 892B F9FF 0000"
	$"00FF F55E C0FF FFFF FFC0 892B F9FF 0000"
	$"00FF F55E C0FF FFFF FFC0 892B F9FF 0000"
	$"00FF F55E CBCB CBCB CBCB 892B F9FF 0000"
	$"00FF F55E 8989 8989 8989 892B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F52B 2B2B 2B2B 2B2B 2B2B F9FF 0000"
	$"00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9FF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'vers' (2) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"Navigation Services client"
};

resource 'vers' (1) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"1.0,  1996-97 Apple Computer"
};

data 'dctb' (131, "About") {
	$"FFFF 0000 0000 0000 0000 FFFF FFFF FFFF"            /* ........ */
};

resource 'DITL' (132, "Custom open controls") {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{9, 12, 31, 258},
		Control {
			enabled,
			132
		}
	}
};

resource 'DITL' (133, "Add/Remove Items") {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{9, 12, 25, 191},
		StaticText {
			disabled,
			"Select files to add:"
		},
		/* [2] */
		{29, 12, 109, 286},
		UserItem {
			disabled
		},
		/* [3] */
		{8, 300, 28, 388},
		Button {
			enabled,
			"Add"
		},
		/* [4] */
		{37, 300, 57, 388},
		Button {
			enabled,
			"Remove"
		},
		/* [5] */
		{61, 300, 81, 388},
		Button {
			enabled,
			"Remove All"
		},
		/* [6] */
		{90, 300, 110, 388},
		Button {
			enabled,
			"Done"
		}
	}
};

resource 'CNTL' (132, "customization popup") {
	{185, 111, 204, 357},
	0,
	visible,
	87,
	132,
	1008,
	0,
	"Commands:"
};

resource 'MENU' (132) {
	132,
	textMenuProc,
	0x7FC1B079,
	enabled,
	"Commands",
	{	/* array: 22 elements */
		/* [1] */
		"Show Desktop", noIcon, noKey, noMark, plain,
		/* [2] */
		"Sort By", noIcon, noKey, noMark, plain,
		/* [3] */
		"Sort Order", noIcon, noKey, noMark, plain,
		/* [4] */
		"Scroll Home", noIcon, noKey, noMark, plain,
		/* [5] */
		"Scroll End", noIcon, noKey, noMark, plain,
		/* [6] */
		"Page Up", noIcon, noKey, noMark, plain,
		/* [7] */
		"Page Down", noIcon, noKey, noMark, plain,
		/* [8] */
		"Get Location", noIcon, noKey, noMark, plain,
		/* [9] */
		"Set Location", noIcon, noKey, noMark, plain,
		/* [10] */
		"Get Selection", noIcon, noKey, noMark, plain,
		/* [11] */
		"Set Selection", noIcon, noKey, noMark, plain,
		/* [12] */
		"Show Selection", noIcon, noKey, noMark, plain,
		/* [13] */
		"Open Selection", noIcon, noKey, noMark, plain,
		/* [14] */
		"Eject Volume", noIcon, noKey, noMark, plain,
		/* [15] */
		"New Folder", noIcon, noKey, noMark, plain,
		/* [16] */
		"Cancel", noIcon, noKey, noMark, plain,
		/* [17] */
		"Accept", noIcon, noKey, noMark, plain,
		/* [18] */
		"Is Preview Showing", noIcon, noKey, noMark, plain,
		/* [19] */
		"Add Controls", noIcon, noKey, noMark, plain,
		/* [20] */
		"Get FirstControl ID", noIcon, noKey, noMark, plain,
		/* [21] */
		"SelectCustomType", noIcon, noKey, noMark, plain,
		/* [22] */
		"SelectAllType", noIcon, noKey, noMark, plain
	}
};